-- *****************************************************************
--
-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- (C) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *****************************************************************
-- Scriptfile to create tablespaces for DB2 UDB
----------------------------------------------------------------------


-----------------------------------------------
-- Create tablespaces with default page size --
-----------------------------------------------

CREATE TABLESPACE @AUDITLOG@
  MANAGED BY AUTOMATIC STORAGE;

CREATE TABLESPACE @INSTANCE@
  MANAGED BY AUTOMATIC STORAGE;

CREATE TABLESPACE @STAFFQRY@
  MANAGED BY AUTOMATIC STORAGE;

CREATE TABLESPACE @TEMPLATE@
  MANAGED BY AUTOMATIC STORAGE;

CREATE TABLESPACE @WORKITEM@
  MANAGED BY AUTOMATIC STORAGE;


------------------------------------------------
-- Create 8 K page bufferpool and tablespaces --
------------------------------------------------


CREATE BUFFERPOOL BPEBP8K
  IMMEDIATE SIZE 1000 PAGESIZE 8 K;

CREATE SYSTEM TEMPORARY TABLESPACE @BPETEMP8K@
  PAGESIZE 8 K MANAGED BY AUTOMATIC STORAGE
  BUFFERPOOL BPEBP8K;

CREATE TABLESPACE @BPETS8K@
  PAGESIZE 8 K MANAGED BY AUTOMATIC STORAGE
  BUFFERPOOL BPEBP8K;



-- start import scheduler DDL: createTablespaceDB2.ddl

CREATE TABLESPACE @SCHEDTS@ MANAGED BY AUTOMATIC STORAGE;
-- end import scheduler DDL: createTablespaceDB2.ddl

