-- *****************************************************************
--
-- Licensed Materials - Property of IBM
-- 5725-C94, 5725-C95, 5725-C96
-- (C) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *****************************************************************
-- SQL script to upgrade the database schema for DB2 z/OS V7
----------------------------------------------------------------------


----------------
-- Drop views --
----------------

DROP VIEW @SCHEMA@.PROCESS_TEMPLATE;

DROP VIEW @SCHEMA@.PROCESS_TEMPL_ATTR;

DROP VIEW @SCHEMA@.PROCESS_INSTANCE;

DROP VIEW @SCHEMA@.PROCESS_ATTRIBUTE;

DROP VIEW @SCHEMA@.ACTIVITY;

DROP VIEW @SCHEMA@.ACTIVITY_ATTRIBUTE;

DROP VIEW @SCHEMA@.EVENT;

DROP VIEW @SCHEMA@.WORK_ITEM;

DROP VIEW @SCHEMA@.SHARED_WORK_ITEM;

DROP VIEW @SCHEMA@.ACTIVITY_SERVICE;

DROP VIEW @SCHEMA@.QUERY_PROPERTY;

DROP VIEW @SCHEMA@.QUERY_PROP_TEMPL;

DROP VIEW @SCHEMA@.MIGRATION_FRONT;

DROP VIEW @SCHEMA@.AUDIT_LOG;

DROP VIEW @SCHEMA@.AUDIT_LOG_B;

DROP VIEW @SCHEMA@.APPLICATION_COMP;

DROP VIEW @SCHEMA@.TASK;

DROP VIEW @SCHEMA@.TASK_TEMPL;

DROP VIEW @SCHEMA@.ESCALATION;

DROP VIEW @SCHEMA@.ESC_TEMPL;

DROP VIEW @SCHEMA@.ESC_TEMPL_DESC;

DROP VIEW @SCHEMA@.TASK_TEMPL_CPROP;

DROP VIEW @SCHEMA@.ESC_TEMPL_CPROP;

DROP VIEW @SCHEMA@.TASK_TEMPL_DESC;

DROP VIEW @SCHEMA@.TASK_CPROP;

DROP VIEW @SCHEMA@.TASK_DESC;

DROP VIEW @SCHEMA@.ESCALATION_CPROP;

DROP VIEW @SCHEMA@.TASK_HISTORY;

DROP VIEW @SCHEMA@.ESCALATION_DESC;

DROP VIEW @SCHEMA@.TASK_AUDIT_LOG;

DROP VIEW @SCHEMA@.WORK_BASKET;

DROP VIEW @SCHEMA@.WORK_BASKET_LDESC;

DROP VIEW @SCHEMA@.WORK_BASKET_DIST_TARGET;

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY;

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY_LDESC;

------------------
-- Drop indexes --
------------------

DROP INDEX @SCHEMA@.WMD_HCUNU;

DROP INDEX @SCHEMA@.STM_ROID;


-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.MV_MODS_T;


COMMIT;

-------------------
-- Create tables --
-------------------

CREATE TABLE @SCHEMA@.PC_VERSION_TEMPLATE_T
(
 CONTAINMENT_CONTEXT_ID CHAR(16) FOR BIT DATA NOT NULL ,
 SNAPSHOT_ID VARCHAR(254) NOT NULL ,
 SNAPSHOT_NAME VARCHAR(254) ,
 TOP_LEVEL_TOOLKIT_ACRONYM VARCHAR(7) ,
 TOP_LEVEL_TOOLKIT_NAME VARCHAR(254) ,
 TRACK_NAME VARCHAR(254) ,
 PROCESS_APP_NAME VARCHAR(254) ,
 PROCESS_APP_ACRONYM VARCHAR(7) ,
 TOOLKIT_SNAPSHOT_ID VARCHAR(254) ,
 TOOLKIT_SNAPSHOT_NAME VARCHAR(254) ,
 TOOLKIT_NAME VARCHAR(254) ,
 TOOLKIT_ACRONYM VARCHAR(7) ,
 IS_TIP SMALLINT NOT NULL ,
  PRIMARY KEY (CONTAINMENT_CONTEXT_ID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PC_VERSION_TEMPLATE_P
  ON @SCHEMA@.PC_VERSION_TEMPLATE_T
(   
  CONTAINMENT_CONTEXT_ID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PCV_SPID
  ON @SCHEMA@.PC_VERSION_TEMPLATE_T
(   
  SNAPSHOT_ID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PCV_PAN
  ON @SCHEMA@.PC_VERSION_TEMPLATE_T
(   
  PROCESS_APP_NAME
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PCV_PAA
  ON @SCHEMA@.PC_VERSION_TEMPLATE_T
(   
  PROCESS_APP_ACRONYM
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PCV_TLTA
  ON @SCHEMA@.PC_VERSION_TEMPLATE_T
(   
  TOP_LEVEL_TOOLKIT_ACRONYM
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T
(
 PKID CHAR(16) FOR BIT DATA NOT NULL ,
 ATID CHAR(16) FOR BIT DATA NOT NULL ,
 ORDER_NUMBER INTEGER NOT NULL ,
 PTID CHAR(16) FOR BIT DATA NOT NULL ,
 DATA_ASSOC_TYPE INTEGER NOT NULL ,
 SOURCE_REF_CTID CHAR(16) FOR BIT DATA ,
 TARGET_REF_CTID CHAR(16) FOR BIT DATA ,
 FROM_EXPRESSION BLOB(1073741823) ,
 FROM_EXPR_MAP BLOB(1073741823) ,
 TO_EXPRESSION BLOB(1073741823) ,
 TO_EXPR_MAP BLOB(1073741823) ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PKID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_P
  ON @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T
(   
  PKID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column FROM_EXPRESSION
CREATE AUX TABLE @SCHEMA@.AT21342E
   IN @DB_NAME@.AS21342E
   STORES @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T COLUMN FROM_EXPRESSION;
-- auxiliary index for LOB column FROM_EXPRESSION
CREATE UNIQUE INDEX @SCHEMA@.AT21342EI
  ON @SCHEMA@.AT21342E
   USING STOGROUP @STOGRP@;

-- auxiliary table for LOB column FROM_EXPR_MAP
CREATE AUX TABLE @SCHEMA@.AT21342F
   IN @DB_NAME@.AS21342F
   STORES @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T COLUMN FROM_EXPR_MAP;
-- auxiliary index for LOB column FROM_EXPR_MAP
CREATE UNIQUE INDEX @SCHEMA@.AT21342FI
  ON @SCHEMA@.AT21342F
   USING STOGROUP @STOGRP@;

-- auxiliary table for LOB column TO_EXPRESSION
CREATE AUX TABLE @SCHEMA@.AT213430
   IN @DB_NAME@.AS213430
   STORES @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T COLUMN TO_EXPRESSION;
-- auxiliary index for LOB column TO_EXPRESSION
CREATE UNIQUE INDEX @SCHEMA@.AT213430I
  ON @SCHEMA@.AT213430
   USING STOGROUP @STOGRP@;

-- auxiliary table for LOB column TO_EXPR_MAP
CREATE AUX TABLE @SCHEMA@.AT213431
   IN @DB_NAME@.AS213431
   STORES @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T COLUMN TO_EXPR_MAP;
-- auxiliary index for LOB column TO_EXPR_MAP
CREATE UNIQUE INDEX @SCHEMA@.AT213431I
  ON @SCHEMA@.AT213431
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.DATB_PTID
  ON @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T
(   
  PTID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.DATB_ATID_DATA
  ON @SCHEMA@.DATA_ASSIGNMENT_TEMPLATE_T
(   
  ATID, 
  DATA_ASSOC_TYPE
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.DATA_VISIBILITY_TEMPLATE_T
(
 VSID CHAR(16) FOR BIT DATA NOT NULL ,
 PTID CHAR(16) FOR BIT DATA NOT NULL ,
 CTID CHAR(16) FOR BIT DATA NOT NULL ,
 ATID CHAR(16) FOR BIT DATA NOT NULL ,
 NAME VARCHAR(255) NOT NULL ,
  PRIMARY KEY (VSID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.DATA_VISIBILITY_TEMPLATE_P
  ON @SCHEMA@.DATA_VISIBILITY_TEMPLATE_T
(   
  VSID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.DVT_PTID
  ON @SCHEMA@.DATA_VISIBILITY_TEMPLATE_T
(   
  PTID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.LOOP_CHAR_TEMPLATE_T
(
 ATID CHAR(16) FOR BIT DATA NOT NULL ,
 PTID CHAR(16) FOR BIT DATA NOT NULL ,
 LOOP_TYPE INTEGER NOT NULL ,
 CONDITION BLOB(1073741823) ,
 COND_MAP BLOB(1073741823) ,
 LOOP_MAXIMUM INTEGER ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (ATID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.LOOP_CHAR_TEMPLATE_P
  ON @SCHEMA@.LOOP_CHAR_TEMPLATE_T
(   
  ATID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column CONDITION
CREATE AUX TABLE @SCHEMA@.AT213432
   IN @DB_NAME@.AS213432
   STORES @SCHEMA@.LOOP_CHAR_TEMPLATE_T COLUMN CONDITION;
-- auxiliary index for LOB column CONDITION
CREATE UNIQUE INDEX @SCHEMA@.AT213432I
  ON @SCHEMA@.AT213432
   USING STOGROUP @STOGRP@;

-- auxiliary table for LOB column COND_MAP
CREATE AUX TABLE @SCHEMA@.AT213433
   IN @DB_NAME@.AS213433
   STORES @SCHEMA@.LOOP_CHAR_TEMPLATE_T COLUMN COND_MAP;
-- auxiliary index for LOB column COND_MAP
CREATE UNIQUE INDEX @SCHEMA@.AT213433I
  ON @SCHEMA@.AT213433
   USING STOGROUP @STOGRP@;


CREATE TABLE @SCHEMA@.IORCOUNTER_TEMPLATE_T
(
 PKID CHAR(16) FOR BIT DATA NOT NULL ,
 SOURCE_ATID CHAR(16) FOR BIT DATA NOT NULL ,
 TARGET_ATID CHAR(16) FOR BIT DATA NOT NULL ,
 GATEWAY_ATID CHAR(16) FOR BIT DATA NOT NULL ,
 PTID CHAR(16) FOR BIT DATA NOT NULL ,
 COUNTER_ID CLOB(3900K) NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PKID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.IORCOUNTER_TEMPLATE_P
  ON @SCHEMA@.IORCOUNTER_TEMPLATE_T
(   
  PKID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column COUNTER_ID
CREATE AUX TABLE @SCHEMA@.AT213434
   IN @DB_NAME@.AS213434
   STORES @SCHEMA@.IORCOUNTER_TEMPLATE_T COLUMN COUNTER_ID;
-- auxiliary index for LOB column COUNTER_ID
CREATE UNIQUE INDEX @SCHEMA@.AT213434I
  ON @SCHEMA@.AT213434
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.IOR_CNT_SRC_TRGT
  ON @SCHEMA@.IORCOUNTER_TEMPLATE_T
(   
  SOURCE_ATID, 
  TARGET_ATID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.IOR_CNT_PTID
  ON @SCHEMA@.IORCOUNTER_TEMPLATE_T
(   
  PTID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.ERROR_EVENT_TEMPLATE_T
(
 PKID CHAR(16) FOR BIT DATA NOT NULL ,
 PTID CHAR(16) FOR BIT DATA NOT NULL ,
 ATID CHAR(16) FOR BIT DATA NOT NULL ,
 ERROR_NAME VARCHAR(254) ,
 ERROR_NAME_UTID CHAR(16) FOR BIT DATA ,
 ERROR_MESSAGE_DEFINITION BLOB(3900K) ,
 CTID CHAR(16) FOR BIT DATA ,
 ORDER_NUMBER INTEGER NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PKID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.ERROR_EVENT_TEMPLATE_P
  ON @SCHEMA@.ERROR_EVENT_TEMPLATE_T
(   
  PKID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column ERROR_MESSAGE_DEFINITION
CREATE AUX TABLE @SCHEMA@.AT213435
   IN @DB_NAME@.AS213435
 STORES @SCHEMA@.ERROR_EVENT_TEMPLATE_T COLUMN
 ERROR_MESSAGE_DEFINITION;
-- auxiliary index for LOB column ERROR_MESSAGE_DEFINITION
CREATE UNIQUE INDEX @SCHEMA@.AT213435I
  ON @SCHEMA@.AT213435
   USING STOGROUP @STOGRP@;


CREATE TABLE @SCHEMA@.ITERATION_COUNTER_INSTANCE_T
(
 ICIID CHAR(16) FOR BIT DATA NOT NULL ,
 PIID CHAR(16) FOR BIT DATA NOT NULL ,
 STARTED_WITH_AIID CHAR(16) FOR BIT DATA ,
 PARENT_ICIID CHAR(16) FOR BIT DATA NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  PRIMARY KEY (ICIID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.ITERATION_COUNTER_INSTANCE_P
  ON @SCHEMA@.ITERATION_COUNTER_INSTANCE_T
(   
  ICIID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.ICI_PIID
  ON @SCHEMA@.ITERATION_COUNTER_INSTANCE_T
(   
  PIID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.IORCOUNTER_T
(
 GATEWAY_AIID CHAR(16) FOR BIT DATA NOT NULL ,
 PIID CHAR(16) FOR BIT DATA NOT NULL ,
 COUNTER CLOB(3900) NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (GATEWAY_AIID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.IORCOUNTER_P
  ON @SCHEMA@.IORCOUNTER_T
(   
  GATEWAY_AIID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column COUNTER
CREATE AUX TABLE @SCHEMA@.AT213460
   IN @DB_NAME@.AS213460
   STORES @SCHEMA@.IORCOUNTER_T COLUMN COUNTER;
-- auxiliary index for LOB column COUNTER
CREATE UNIQUE INDEX @SCHEMA@.AT213460I
  ON @SCHEMA@.AT213460
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.IOC_PIID
  ON @SCHEMA@.IORCOUNTER_T
(   
  PIID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_T
(
 PRRTID CHAR(16) FOR BIT DATA NOT NULL ,
 TEMPLATE_OID CHAR(16) FOR BIT DATA NOT NULL ,
 REASON INTEGER NOT NULL ,
 PRID CHAR(16) FOR BIT DATA NOT NULL ,
 PARAMETER_BINDINGS BLOB(3900K) ,
 CONTAINMENT_CONTEXT_ID CHAR(16) FOR BIT DATA NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PRRTID)
) IN @DB_NAME@.TEMPLATE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_P
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_T
(   
  PRRTID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column PARAMETER_BINDINGS
CREATE AUX TABLE @SCHEMA@.AT213473
   IN @DB_NAME@.AS213473
 STORES @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_T COLUMN
 PARAMETER_BINDINGS;
-- auxiliary index for LOB column PARAMETER_BINDINGS
CREATE UNIQUE INDEX @SCHEMA@.AT213473I
  ON @SCHEMA@.AT213473
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.PRRT_PRID
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_T
(   
  PRID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PRRT_ccID
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_TEMPLATE_T
(   
  CONTAINMENT_CONTEXT_ID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.TASK_INSTANCE_EXT_ATTR_T
(
 TKIID CHAR(16) FOR BIT DATA NOT NULL ,
 KIND INTEGER NOT NULL ,
 VALUE VARCHAR(254) ,
 CONTAINMENT_CTX_ID CHAR(16) FOR BIT DATA NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  PRIMARY KEY (TKIID, KIND)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.TASK_INSTANCE_EXT_ATTR_P
  ON @SCHEMA@.TASK_INSTANCE_EXT_ATTR_T
(   
  TKIID, 
  KIND
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.TIEA_CTXID
  ON @SCHEMA@.TASK_INSTANCE_EXT_ATTR_T
(   
  CONTAINMENT_CTX_ID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_T
(
 PRRIID CHAR(16) FOR BIT DATA NOT NULL ,
 PRRTID CHAR(16) FOR BIT DATA NOT NULL ,
 INSTANCE_OID CHAR(16) FOR BIT DATA NOT NULL ,
 PARAMETER_VALUES BLOB(3900K) ,
 CONTAINMENT_CTX_ID CHAR(16) FOR BIT DATA NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PRRIID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_P
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_T
(   
  PRRIID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column PARAMETER_VALUES
CREATE AUX TABLE @SCHEMA@.AT213488
   IN @DB_NAME@.AS213488
 STORES @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_T COLUMN
 PARAMETER_VALUES;
-- auxiliary index for LOB column PARAMETER_VALUES
CREATE UNIQUE INDEX @SCHEMA@.AT213488I
  ON @SCHEMA@.AT213488
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.PRRI_INSTOID
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_T
(   
  INSTANCE_OID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PRRI_ccID
  ON @SCHEMA@.PEOPLE_RESOURCE_REF_INSTANCE_T
(   
  CONTAINMENT_CTX_ID
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.PEOPLE_RESOURCE_T
(
 PRID CHAR(16) FOR BIT DATA NOT NULL ,
 NAMESPACE VARCHAR(254) NOT NULL ,
 NAME VARCHAR(254) NOT NULL ,
 PARAMETERS BLOB(3900K) ,
 BINDING_TYPE INTEGER NOT NULL ,
 BINDING_OID CHAR(16) FOR BIT DATA ,
 BINDING_DETAILS BLOB(3900K) ,
 APPLICATION_NAME VARCHAR(220) ,
 LAST_MODIFICATION_TIME TIMESTAMP NOT NULL ,
 EAR_VERSION INTEGER NOT NULL ,
 SCHEMA_VERSION INTEGER NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PRID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PEOPLE_RESOURCE_P
  ON @SCHEMA@.PEOPLE_RESOURCE_T
(   
  PRID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column PARAMETERS
CREATE AUX TABLE @SCHEMA@.AT213489
   IN @DB_NAME@.AS213489
   STORES @SCHEMA@.PEOPLE_RESOURCE_T COLUMN PARAMETERS;
-- auxiliary index for LOB column PARAMETERS
CREATE UNIQUE INDEX @SCHEMA@.AT213489I
  ON @SCHEMA@.AT213489
   USING STOGROUP @STOGRP@;

-- auxiliary table for LOB column BINDING_DETAILS
CREATE AUX TABLE @SCHEMA@.AT21348A
   IN @DB_NAME@.AS21348A
   STORES @SCHEMA@.PEOPLE_RESOURCE_T COLUMN BINDING_DETAILS;
-- auxiliary index for LOB column BINDING_DETAILS
CREATE UNIQUE INDEX @SCHEMA@.AT21348AI
  ON @SCHEMA@.AT21348A
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.PR_BOID
  ON @SCHEMA@.PEOPLE_RESOURCE_T
(   
  BINDING_OID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PR_APPNAME_NS_NAME
  ON @SCHEMA@.PEOPLE_RESOURCE_T
(   
  APPLICATION_NAME, 
  NAMESPACE, 
  NAME
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.PEOPLE_QUERY_T
(
 PQID CHAR(16) FOR BIT DATA NOT NULL ,
 NAME VARCHAR(254) NOT NULL ,
 NAMESPACE VARCHAR(254) NOT NULL ,
 TYPE INTEGER NOT NULL ,
 QUERY_DEFINITION BLOB(3900K) ,
 APPLICATION_NAME VARCHAR(220) ,
 VERSION_ID SMALLINT NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PQID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PEOPLE_QUERY_P
  ON @SCHEMA@.PEOPLE_QUERY_T
(   
  PQID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column QUERY_DEFINITION
CREATE AUX TABLE @SCHEMA@.AT21348B
   IN @DB_NAME@.AS21348B
   STORES @SCHEMA@.PEOPLE_QUERY_T COLUMN QUERY_DEFINITION;
-- auxiliary index for LOB column QUERY_DEFINITION
CREATE UNIQUE INDEX @SCHEMA@.AT21348BI
  ON @SCHEMA@.AT21348B
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.PQ_APPNAME
  ON @SCHEMA@.PEOPLE_QUERY_T
(   
  APPLICATION_NAME
)
USING STOGROUP @STOGRP@;

CREATE TABLE @SCHEMA@.PEOPLE_RESOLUTION_RESULT_T
(
 PRRID CHAR(16) FOR BIT DATA NOT NULL ,
 RELATED_OID CHAR(16) FOR BIT DATA NOT NULL ,
 RELATED_TYPE INTEGER NOT NULL ,
 CONTEXT_DATA BLOB(1073741823) ,
 CONTEXT_DATA_IL VARCHAR(1000) FOR BIT DATA ,
 CONTEXT_HASH_CODE INTEGER ,
 PARENT_PRRID CHAR(16) FOR BIT DATA ,
 EXPIRATION_TIME TIMESTAMP ,
 QIID4_UG CHAR(16) FOR BIT DATA NOT NULL ,
 VERSION_ID SMALLINT NOT NULL ,
  ROW_ID ROWID NOT NULL GENERATED ALWAYS,
  PRIMARY KEY (PRRID)
) IN @DB_NAME@.INSTANCE;

CREATE UNIQUE INDEX 
  @SCHEMA@.PEOPLE_RESOLUTION_RESULT_P
  ON @SCHEMA@.PEOPLE_RESOLUTION_RESULT_T
(   
  PRRID
)
USING STOGROUP @STOGRP@;
-- auxiliary table for LOB column CONTEXT_DATA
CREATE AUX TABLE @SCHEMA@.AT21348C
   IN @DB_NAME@.AS21348C
   STORES @SCHEMA@.PEOPLE_RESOLUTION_RESULT_T COLUMN CONTEXT_DATA;
-- auxiliary index for LOB column CONTEXT_DATA
CREATE UNIQUE INDEX @SCHEMA@.AT21348CI
  ON @SCHEMA@.AT21348C
   USING STOGROUP @STOGRP@;


CREATE INDEX 
  @SCHEMA@.PRR_RE_HC
  ON @SCHEMA@.PEOPLE_RESOLUTION_RESULT_T
(   
  RELATED_OID, 
  CONTEXT_HASH_CODE
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.PRR_QIID4UG
  ON @SCHEMA@.PEOPLE_RESOLUTION_RESULT_T
(   
  QIID4_UG
)
USING STOGROUP @STOGRP@;
ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 BPMN_UTID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 LANGUAGE_TYPE INTEGER  DEFAULT 1 NOT NULL;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 DEPLOY_TYPE INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 MESSAGE_DIGEST VARCHAR(20)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT1 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT2 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT3 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT4 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT5 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT6 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT7 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_TEMPL_B_T ADD 
 CUSTOM_TEXT8 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.ACTIVITY_TEMPL_B_T ADD 
 GATEWAY_DIRECTION INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.ACTIVITY_TEMPL_B_T ADD 
 IS_INTERRUPTING SMALLINT  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.ACTIVITY_TEMPL_B_T ADD 
 ORDER_NUMBER INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.VAR_TEMPL_B_T ADD 
 ATID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T ADD 
 TYPE INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 ERROR_EVENT_ATID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT1 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT2 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT3 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT4 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT5 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT6 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT7 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.PROCESS_INST_B_T ADD 
 CUSTOM_TEXT8 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 ICIID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 PARENT_AIID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 ERROR_EVENT_ATID CHAR(16)  FOR BIT DATA ;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 BPMN_STATE INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 LOOP_COUNTER INTEGER ;

ALTER TABLE @SCHEMA@.ACTIVITY_INST_B_T ADD 
 AWAITED_ACTIVITIES INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.AUDIT_LOG_T ADD 
 SNAPSHOT_ID VARCHAR(254) ;

ALTER TABLE @SCHEMA@.AUDIT_LOG_T ADD 
 PROCESS_APP_ACRONYM VARCHAR(7) ;

ALTER TABLE @SCHEMA@.RETRIEVED_USER_T ADD 
 KIND INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.RETRIEVED_GROUP_T ADD 
 KIND INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 LANGUAGE_TYPE INTEGER  DEFAULT 1 NOT NULL;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 DEPLOY_TYPE INTEGER  DEFAULT 0 NOT NULL;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT1 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT2 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT3 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT4 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT5 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT6 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT7 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_TEMPLATE_T ADD 
 CUSTOM_TEXT8 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT1 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT2 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT3 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT4 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT5 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT6 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT7 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 CUSTOM_TEXT8 VARCHAR(64) ;

ALTER TABLE @SCHEMA@.TASK_INSTANCE_T ADD 
 EXT_ATTR INTEGER ;

ALTER TABLE @SCHEMA@.TASK_AUDIT_LOG_T ADD 
 SNAPSHOT_ID VARCHAR(254) ;

ALTER TABLE @SCHEMA@.TASK_AUDIT_LOG_T ADD 
 SNAPSHOT_NAME VARCHAR(254) ;

ALTER TABLE @SCHEMA@.TASK_AUDIT_LOG_T ADD 
 PROCESS_APP_ACRONYM VARCHAR(7) ;


CREATE INDEX 
  @SCHEMA@.SI_PARCOMP_STA_SCN
  ON @SCHEMA@.SCOPE_INSTANCE_B_T
(   
  PARENT_COMP_SIID, 
  STATE, 
  SCOPE_COMPL_NUMBER
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.AIB_IC_PI_AT
  ON @SCHEMA@.ACTIVITY_INST_B_T
(   
  ICIID, 
  PIID, 
  ATID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.AIA_FEEIATPI
  ON @SCHEMA@.ACT_INST_ATTR_B_T
(   
  FEIID, 
  EHIID, 
  ATID, 
  PIID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.RGR_GN
  ON @SCHEMA@.RETRIEVED_GROUP_T
(   
  GROUP_NAME
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.WMD_HC
  ON @SCHEMA@.WIS_META_DATA_T
(   
  HASH_CODE
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.SQI_ISSH
  ON @SCHEMA@.STAFF_QUERY_INST_T
(   
  IS_SHAREABLE, 
  QIID
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.SQI_GRP
  ON @SCHEMA@.STAFF_QUERY_INST_T
(   
  GROUP_NAME
)
USING STOGROUP @STOGRP@;

CREATE INDEX 
  @SCHEMA@.STM_ROIDKIND
  ON @SCHEMA@.SAVED_TASK_MESSAGE_T
(   
  RELATED_OID, 
  KIND
)
USING STOGROUP @STOGRP@;

-- View: ProcessTemplate
CREATE VIEW @SCHEMA@.PROCESS_TEMPLATE(PTID, NAME, DISPLAY_NAME,
 VALID_FROM, TARGET_NAMESPACE, APPLICATION_NAME, VERSION, CREATED,
 STATE, EXECUTION_MODE, DESCRIPTION, CAN_RUN_SYNC, CAN_RUN_INTERRUP,
 COMP_SPHERE, CONTINUE_ON_ERROR, SNAPSHOT_ID, SNAPSHOT_NAME,
 TOP_LEVEL_TOOLKIT_ACRONYM, TOP_LEVEL_TOOLKIT_NAME, TRACK_NAME,
 PROCESS_APP_NAME, PROCESS_APP_ACRONYM, TOOLKIT_SNAPSHOT_ID,
 TOOLKIT_SNAPSHOT_NAME, TOOLKIT_NAME, TOOLKIT_ACRONYM, IS_TIP,
 CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3, CUSTOM_TEXT4, CUSTOM_TEXT5,
 CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8 ) AS
 SELECT @SCHEMA@.PROCESS_TEMPL_B_T.PTID,
 @SCHEMA@.PROCESS_TEMPL_B_T.NAME,
 @SCHEMA@.PROCESS_TEMPL_B_T.DISPLAY_NAME,
 @SCHEMA@.PROCESS_TEMPL_B_T.VALID_FROM,
 @SCHEMA@.PROCESS_TEMPL_B_T.TARGET_NAMESPACE,
 @SCHEMA@.PROCESS_TEMPL_B_T.APPLICATION_NAME,
 @SCHEMA@.PROCESS_TEMPL_B_T.VERSION,
 @SCHEMA@.PROCESS_TEMPL_B_T.CREATED, @SCHEMA@.PROCESS_TEMPL_B_T.STATE,
 @SCHEMA@.PROCESS_TEMPL_B_T.EXECUTION_MODE,
 @SCHEMA@.PROCESS_TEMPL_B_T.DESCRIPTION,
 @SCHEMA@.PROCESS_TEMPL_B_T.CAN_CALL,
 @SCHEMA@.PROCESS_TEMPL_B_T.CAN_INITIATE,
 @SCHEMA@.PROCESS_TEMPL_B_T.COMP_SPHERE,
 @SCHEMA@.PROCESS_TEMPL_B_T.CONTINUE_ON_ERROR,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.SNAPSHOT_ID,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.SNAPSHOT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOP_LEVEL_TOOLKIT_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOP_LEVEL_TOOLKIT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TRACK_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.PROCESS_APP_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.PROCESS_APP_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_SNAPSHOT_ID,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_SNAPSHOT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.IS_TIP,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT1,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT2,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT3,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT4,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT5,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT6,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT7,
 @SCHEMA@.PROCESS_TEMPL_B_T.CUSTOM_TEXT8
 FROM @SCHEMA@.PROCESS_TEMPL_B_T LEFT JOIN
 @SCHEMA@.PC_VERSION_TEMPLATE_T ON
 (@SCHEMA@.PC_VERSION_TEMPLATE_T.CONTAINMENT_CONTEXT_ID =
 @SCHEMA@.PROCESS_TEMPL_B_T.PTID);

-- View: ProcessTemplAttr
CREATE VIEW @SCHEMA@.PROCESS_TEMPL_ATTR(PTID, NAME, VALUE ) AS
 SELECT @SCHEMA@.PROC_TEMPL_ATTR_T.PTID,
 @SCHEMA@.PROC_TEMPL_ATTR_T.ATTR_KEY, @SCHEMA@.PROC_TEMPL_ATTR_T.VALUE
 FROM @SCHEMA@.PROC_TEMPL_ATTR_T;

-- View: ProcessInstance
CREATE VIEW @SCHEMA@.PROCESS_INSTANCE(PTID, PIID, NAME, STATE,
 CREATED, STARTED, COMPLETED, PARENT_NAME, TOP_LEVEL_NAME,
 PARENT_PIID, TOP_LEVEL_PIID, STARTER, DESCRIPTION, TEMPLATE_NAME,
 TEMPLATE_DESCR, RESUMES, CONTINUE_ON_ERROR, IS_MIGRATED, WSID_1,
 WSID_2, CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3, CUSTOM_TEXT4,
 CUSTOM_TEXT5, CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8 ) AS
 SELECT @SCHEMA@.PROCESS_INST_B_T.PTID,
 @SCHEMA@.PROCESS_INST_B_T.PIID, @SCHEMA@.PROCESS_INST_B_T.NAME,
 @SCHEMA@.PROCESS_INST_B_T.STATE, @SCHEMA@.PROCESS_INST_B_T.CREATED,
 @SCHEMA@.PROCESS_INST_B_T.STARTED,
 @SCHEMA@.PROCESS_INST_B_T.COMPLETED,
 @SCHEMA@.PROCESS_INST_B_T.PARENT_NAME,
 @SCHEMA@.PROCESS_INST_B_T.TOP_LEVEL_NAME,
 @SCHEMA@.PROCESS_INST_B_T.PARENT_PIID,
 @SCHEMA@.PROCESS_INST_B_T.TOP_LEVEL_PIID,
 @SCHEMA@.PROCESS_INST_B_T.STARTER,
 @SCHEMA@.PROCESS_INST_B_T.DESCRIPTION,
 @SCHEMA@.PROCESS_TEMPL_B_T.NAME,
 @SCHEMA@.PROCESS_TEMPL_B_T.DESCRIPTION,
 @SCHEMA@.PROCESS_INST_B_T.RESUMES,
 @SCHEMA@.PROCESS_TEMPL_B_T.CONTINUE_ON_ERROR,
 @SCHEMA@.PROCESS_INST_B_T.IS_MIGRATED,
 @SCHEMA@.PROCESS_INST_B_T.WSID_1, @SCHEMA@.PROCESS_INST_B_T.WSID_2,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT1,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT2,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT3,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT4,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT5,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT6,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT7,
 @SCHEMA@.PROCESS_INST_B_T.CUSTOM_TEXT8
 FROM @SCHEMA@.PROCESS_INST_B_T, @SCHEMA@.PROCESS_TEMPL_B_T
 WHERE @SCHEMA@.PROCESS_INST_B_T.PTID =
 @SCHEMA@.PROCESS_TEMPL_B_T.PTID;

-- View: ProcessAttribute
CREATE VIEW @SCHEMA@.PROCESS_ATTRIBUTE(PIID, NAME, VALUE, DATA_TYPE,
 WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.PROC_INST_ATTRIB_T.PIID,
 @SCHEMA@.PROC_INST_ATTRIB_T.ATTR_KEY,
 @SCHEMA@.PROC_INST_ATTRIB_T.VALUE,
 @SCHEMA@.PROC_INST_ATTRIB_T.DATA_TYPE,
 @SCHEMA@.PROC_INST_ATTRIB_T.WSID_1,
 @SCHEMA@.PROC_INST_ATTRIB_T.WSID_2
 FROM @SCHEMA@.PROC_INST_ATTRIB_T;

-- View: Activity
CREATE VIEW @SCHEMA@.ACTIVITY(PIID, AIID, PTID, ATID, SIID, STID,
 EHIID, ENCLOSING_FEIID, KIND, COMPLETED, ACTIVATED, FIRST_ACTIVATED,
 STARTED, STATE, SUB_STATE, STOP_REASON, OWNER, DESCRIPTION, EXPIRES,
 TEMPLATE_NAME, TEMPLATE_DESCR, BUSINESS_RELEVANCE, SKIP_REQUESTED,
 CONTINUE_ON_ERROR, INVOKED_INST_ID, INVOKED_INST_TYPE,
 PREVIOUS_EXPIRATION_TIME, HAS_WORK_ITEM, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.ACTIVITY_INST_B_T.PIID,
 @SCHEMA@.ACTIVITY_INST_B_T.AIID, @SCHEMA@.ACTIVITY_INST_B_T.PTID,
 @SCHEMA@.ACTIVITY_INST_B_T.ATID, @SCHEMA@.ACTIVITY_INST_B_T.SIID,
 @SCHEMA@.ACTIVITY_TEMPL_B_T.PARENT_STID,
 @SCHEMA@.ACTIVITY_INST_B_T.EHIID,
 @SCHEMA@.ACTIVITY_INST_B_T.ENCLOSING_FEIID,
 @SCHEMA@.ACTIVITY_TEMPL_B_T.KIND,
 @SCHEMA@.ACTIVITY_INST_B_T.FINISHED,
 @SCHEMA@.ACTIVITY_INST_B_T.ACTIVATED,
 @SCHEMA@.ACTIVITY_INST_B_T.FIRST_ACTIVATED,
 @SCHEMA@.ACTIVITY_INST_B_T.STARTED, @SCHEMA@.ACTIVITY_INST_B_T.STATE,
 @SCHEMA@.ACTIVITY_INST_B_T.SUB_STATE,
 @SCHEMA@.ACTIVITY_INST_B_T.STOP_REASON,
 @SCHEMA@.ACTIVITY_INST_B_T.OWNER,
 @SCHEMA@.ACTIVITY_INST_B_T.DESCRIPTION,
 @SCHEMA@.ACTIVITY_INST_B_T.EXPIRES, @SCHEMA@.ACTIVITY_TEMPL_B_T.NAME,
 @SCHEMA@.ACTIVITY_TEMPL_B_T.DESCRIPTION,
 @SCHEMA@.ACTIVITY_TEMPL_B_T.BUSINESS_RELEVANCE,
 @SCHEMA@.ACTIVITY_INST_B_T.SKIP_REQUESTED,
 @SCHEMA@.ACTIVITY_INST_B_T.CONTINUE_ON_ERROR,
 @SCHEMA@.ACTIVITY_INST_B_T.INVOKED_INST_ID,
 @SCHEMA@.ACTIVITY_INST_B_T.INVOKED_INST_TYPE,
 @SCHEMA@.ACTIVITY_INST_B_T.PREVIOUS_EXPIRATION_DATE,
 @SCHEMA@.ACTIVITY_INST_B_T.HAS_WORK_ITEM,
 @SCHEMA@.ACTIVITY_INST_B_T.WSID_1, @SCHEMA@.ACTIVITY_INST_B_T.WSID_2
 FROM @SCHEMA@.ACTIVITY_INST_B_T, @SCHEMA@.ACTIVITY_TEMPL_B_T
 WHERE @SCHEMA@.ACTIVITY_INST_B_T.ATID =
 @SCHEMA@.ACTIVITY_TEMPL_B_T.ATID;

-- View: ActivityAttribute
CREATE VIEW @SCHEMA@.ACTIVITY_ATTRIBUTE(AIID, NAME, VALUE, DATA_TYPE,
 WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.ACT_INST_ATTR_B_T.AIID,
 @SCHEMA@.ACT_INST_ATTR_B_T.ATTR_KEY,
 @SCHEMA@.ACT_INST_ATTR_B_T.ATTR_VALUE,
 @SCHEMA@.ACT_INST_ATTR_B_T.DATA_TYPE,
 @SCHEMA@.ACT_INST_ATTR_B_T.WSID_1, @SCHEMA@.ACT_INST_ATTR_B_T.WSID_2
 FROM @SCHEMA@.ACT_INST_ATTR_B_T;

-- View: Event
CREATE VIEW @SCHEMA@.EVENT(EIID, AIID, PIID, EHTID, SIID, NAME,
 WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.EVENT_INST_B_T.EIID, @SCHEMA@.EVENT_INST_B_T.AIID,
 @SCHEMA@.EVENT_INST_B_T.PIID, @SCHEMA@.EVENT_INST_B_T.EHTID,
 @SCHEMA@.EVENT_INST_B_T.SIID, @SCHEMA@.SERVICE_TEMPL_B_T.NAME,
 @SCHEMA@.EVENT_INST_B_T.WSID_1, @SCHEMA@.EVENT_INST_B_T.WSID_2
 FROM @SCHEMA@.EVENT_INST_B_T, @SCHEMA@.SERVICE_TEMPL_B_T
 WHERE @SCHEMA@.EVENT_INST_B_T.STATE = 2 AND
 @SCHEMA@.EVENT_INST_B_T.VTID = @SCHEMA@.SERVICE_TEMPL_B_T.VTID;

-- View: WorkItem
CREATE VIEW @SCHEMA@.WORK_ITEM(WIID, OWNER_ID, GROUP_NAME, EVERYBODY,
 OBJECT_TYPE, OBJECT_ID, ASSOC_OBJECT_TYPE, ASSOC_OID, REASON,
 CREATION_TIME, QIID, KIND ) AS
 SELECT @SCHEMA@.WORK_ITEM_T.WIID, @SCHEMA@.WORK_ITEM_T.OWNER_ID,
 @SCHEMA@.WORK_ITEM_T.GROUP_NAME, @SCHEMA@.WORK_ITEM_T.EVERYBODY,
 @SCHEMA@.WORK_ITEM_T.OBJECT_TYPE, @SCHEMA@.WORK_ITEM_T.OBJECT_ID,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OBJECT_TYPE,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OID, @SCHEMA@.WORK_ITEM_T.REASON,
 @SCHEMA@.WORK_ITEM_T.CREATION_TIME, @SCHEMA@.WORK_ITEM_T.QIID,
 @SCHEMA@.WORK_ITEM_T.KIND
 FROM @SCHEMA@.WORK_ITEM_T
 WHERE @SCHEMA@.WORK_ITEM_T.AUTH_INFO IN (1,2,3)
 UNION ALL SELECT @SCHEMA@.WORK_ITEM_T.WIID,
 @SCHEMA@.RETRIEVED_USER_T.OWNER_ID, @SCHEMA@.WORK_ITEM_T.GROUP_NAME,
 @SCHEMA@.WORK_ITEM_T.EVERYBODY, @SCHEMA@.WORK_ITEM_T.OBJECT_TYPE,
 @SCHEMA@.WORK_ITEM_T.OBJECT_ID,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OBJECT_TYPE,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OID, @SCHEMA@.WORK_ITEM_T.REASON,
 @SCHEMA@.WORK_ITEM_T.CREATION_TIME, @SCHEMA@.WORK_ITEM_T.QIID,
 @SCHEMA@.WORK_ITEM_T.KIND
 FROM @SCHEMA@.WORK_ITEM_T, @SCHEMA@.RETRIEVED_USER_T
 WHERE @SCHEMA@.WORK_ITEM_T.AUTH_INFO IN (0,6) AND
 @SCHEMA@.WORK_ITEM_T.QIID = @SCHEMA@.RETRIEVED_USER_T.QIID
 UNION ALL SELECT @SCHEMA@.WORK_ITEM_T.WIID,
 @SCHEMA@.WORK_ITEM_T.OWNER_ID, @SCHEMA@.RETRIEVED_GROUP_T.GROUP_NAME,
 @SCHEMA@.WORK_ITEM_T.EVERYBODY, @SCHEMA@.WORK_ITEM_T.OBJECT_TYPE,
 @SCHEMA@.WORK_ITEM_T.OBJECT_ID,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OBJECT_TYPE,
 @SCHEMA@.WORK_ITEM_T.ASSOC_OID, @SCHEMA@.WORK_ITEM_T.REASON,
 @SCHEMA@.WORK_ITEM_T.CREATION_TIME, @SCHEMA@.WORK_ITEM_T.QIID,
 @SCHEMA@.WORK_ITEM_T.KIND
 FROM @SCHEMA@.WORK_ITEM_T, @SCHEMA@.RETRIEVED_GROUP_T
 WHERE @SCHEMA@.WORK_ITEM_T.AUTH_INFO IN (4,6) AND
 @SCHEMA@.WORK_ITEM_T.QIID = @SCHEMA@.RETRIEVED_GROUP_T.QIID;

-- View: SharedWorkItem
CREATE VIEW @SCHEMA@.SHARED_WORK_ITEM(WSID, OWNER_ID, GROUP_NAME,
 EVERYBODY, REASON ) AS
 SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.SWI_T.OWNER_ID,
 @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY,
 @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T
 WHERE @SCHEMA@.SWI_T.AUTH_INFO IN ( 1,2,3 )
 UNION ALL SELECT @SCHEMA@.SWI_T.WSID,
 @SCHEMA@.RETRIEVED_USER_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME,
 @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T, @SCHEMA@.RETRIEVED_USER_T
 WHERE @SCHEMA@.SWI_T.QIID = @SCHEMA@.RETRIEVED_USER_T.QIID AND
 @SCHEMA@.SWI_T.AUTH_INFO IN (0,4)
 UNION ALL SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.SWI_T.OWNER_ID,
 @SCHEMA@.RETRIEVED_GROUP_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY,
 @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T, @SCHEMA@.RETRIEVED_GROUP_T
 WHERE @SCHEMA@.SWI_T.QIID = @SCHEMA@.RETRIEVED_GROUP_T.QIID AND
 @SCHEMA@.SWI_T.AUTH_INFO IN (4,6);

-- View: ActivityService
CREATE VIEW @SCHEMA@.ACTIVITY_SERVICE(EIID, AIID, PIID, VTID,
 PORT_TYPE, NAME_SPACE_URI, OPERATION, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.EVENT_INST_B_T.EIID, @SCHEMA@.EVENT_INST_B_T.AIID,
 @SCHEMA@.EVENT_INST_B_T.PIID, @SCHEMA@.EVENT_INST_B_T.VTID,
 @SCHEMA@.SERVICE_TEMPL_B_T.PORT_TYPE_NAME,
 @SCHEMA@.URI_TEMPLATE_B_T.URI,
 @SCHEMA@.SERVICE_TEMPL_B_T.OPERATION_NAME,
 @SCHEMA@.EVENT_INST_B_T.WSID_1, @SCHEMA@.EVENT_INST_B_T.WSID_2
 FROM @SCHEMA@.EVENT_INST_B_T, @SCHEMA@.SERVICE_TEMPL_B_T,
 @SCHEMA@.URI_TEMPLATE_B_T
 WHERE @SCHEMA@.EVENT_INST_B_T.STATE = 2 AND
 @SCHEMA@.EVENT_INST_B_T.VTID = @SCHEMA@.SERVICE_TEMPL_B_T.VTID AND
 @SCHEMA@.SERVICE_TEMPL_B_T.PORT_TYPE_UTID =
 @SCHEMA@.URI_TEMPLATE_B_T.UTID;

-- View: QueryProperty
CREATE VIEW @SCHEMA@.QUERY_PROPERTY(PIID, VARIABLE_NAME, NAME,
 NAMESPACE, GENERIC_VALUE, STRING_VALUE, NUMBER_VALUE, DECIMAL_VALUE,
 TIMESTAMP_VALUE, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.QUERY_VAR_INST_T.PIID,
 @SCHEMA@.QUERY_VAR_INST_T.VARIABLE_NAME,
 @SCHEMA@.QUERY_VAR_INST_T.PROPERTY_NAME,
 @SCHEMA@.QUERY_VAR_INST_T.PROPERTY_NAMESPACE,
 @SCHEMA@.QUERY_VAR_INST_T.GENERIC_VALUE,
 @SCHEMA@.QUERY_VAR_INST_T.STRING_VALUE,
 @SCHEMA@.QUERY_VAR_INST_T.NUMBER_VALUE,
 @SCHEMA@.QUERY_VAR_INST_T.DECIMAL_VALUE,
 @SCHEMA@.QUERY_VAR_INST_T.TIMESTAMP_VALUE,
 @SCHEMA@.QUERY_VAR_INST_T.WSID_1, @SCHEMA@.QUERY_VAR_INST_T.WSID_2
 FROM @SCHEMA@.QUERY_VAR_INST_T;

-- View: QueryPropTempl
CREATE VIEW @SCHEMA@.QUERY_PROP_TEMPL(PTID, NAME, PROPERTY_NAME, URI,
 QUERY_TYPE, JAVA_TYPE ) AS
 SELECT @SCHEMA@.QUERY_VAR_TEMPL_T.PTID, @SCHEMA@.VAR_TEMPL_B_T.NAME,
 @SCHEMA@.PRP_ALIAS_TEMP_B_T.PROPERTY_NAME,
 @SCHEMA@.URI_TEMPLATE_B_T.URI, @SCHEMA@.QUERY_VAR_TEMPL_T.QUERY_TYPE,
 @SCHEMA@.PRP_ALIAS_TEMP_B_T.JAVA_TYPE
 FROM @SCHEMA@.QUERY_VAR_TEMPL_T, @SCHEMA@.VAR_TEMPL_B_T,
 @SCHEMA@.PRP_ALIAS_TEMP_B_T, @SCHEMA@.URI_TEMPLATE_B_T
 WHERE @SCHEMA@.QUERY_VAR_TEMPL_T.CTID = @SCHEMA@.VAR_TEMPL_B_T.CTID
 AND @SCHEMA@.QUERY_VAR_TEMPL_T.PAID =
 @SCHEMA@.PRP_ALIAS_TEMP_B_T.PAID AND
 @SCHEMA@.PRP_ALIAS_TEMP_B_T.PROPERTY_UTID =
 @SCHEMA@.URI_TEMPLATE_B_T.UTID;

-- View: MigrationFront
CREATE VIEW @SCHEMA@.MIGRATION_FRONT(PIID, AIID, SOURCE_PTID,
 TARGET_PTID, STATE, SUB_STATE, STOP_REASON, SOURCE_ATID, TARGET_ATID,
 MIGRATION_TIME, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.MIGRATION_FRONT_T.PIID,
 @SCHEMA@.MIGRATION_FRONT_T.AIID,
 @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T.SOURCE_PTID,
 @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T.TARGET_PTID,
 @SCHEMA@.MIGRATION_FRONT_T.STATE,
 @SCHEMA@.MIGRATION_FRONT_T.SUB_STATE,
 @SCHEMA@.MIGRATION_FRONT_T.STOP_REASON,
 @SCHEMA@.MIGRATION_FRONT_T.SOURCE_ATID,
 @SCHEMA@.MIGRATION_FRONT_T.TARGET_ATID,
 @SCHEMA@.MIGRATION_FRONT_T.MIGRATION_TIME,
 @SCHEMA@.MIGRATION_FRONT_T.WSID_1, @SCHEMA@.MIGRATION_FRONT_T.WSID_2
 FROM @SCHEMA@.MIGRATION_FRONT_T, @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T
 WHERE @SCHEMA@.MIGRATION_FRONT_T.MPTID =
 @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T.MPTID;

-- View: AuditLog
CREATE VIEW @SCHEMA@.AUDIT_LOG(ALID, EVENT_TIME, EVENT_TIME_UTC,
 AUDIT_EVENT, PTID, PIID, AIID, SIID, SCOPE_NAME, PROCESS_TEMPL_NAME,
 PROCESS_INST_NAME, TOP_LEVEL_PI_NAME, TOP_LEVEL_PIID, PARENT_PI_NAME,
 PARENT_PIID, VALID_FROM, VALID_FROM_UTC, ACTIVITY_NAME,
 ACTIVITY_KIND, ACTIVITY_STATE, CONTROL_LINK_NAME, IMPL_NAME,
 PRINCIPAL, TERMINAL_NAME, VARIABLE_DATA, EXCEPTION_TEXT, DESCRIPTION,
 CORR_SET_INFO, USER_NAME, ATID, ADDITIONAL_INFO, OBJECT_META_TYPE )
 AS
 SELECT @SCHEMA@.AUDIT_LOG_T.ALID, @SCHEMA@.AUDIT_LOG_T.EVENT_TIME,
 @SCHEMA@.AUDIT_LOG_T.EVENT_TIME_UTC,
 @SCHEMA@.AUDIT_LOG_T.AUDIT_EVENT, @SCHEMA@.AUDIT_LOG_T.PTID,
 @SCHEMA@.AUDIT_LOG_T.PIID, @SCHEMA@.AUDIT_LOG_T.AIID,
 @SCHEMA@.AUDIT_LOG_T.SIID, @SCHEMA@.AUDIT_LOG_T.VARIABLE_NAME,
 @SCHEMA@.AUDIT_LOG_T.PROCESS_TEMPL_NAME,
 @SCHEMA@.AUDIT_LOG_T.PROCESS_INST_NAME,
 @SCHEMA@.AUDIT_LOG_T.TOP_LEVEL_PI_NAME,
 @SCHEMA@.AUDIT_LOG_T.TOP_LEVEL_PIID,
 @SCHEMA@.AUDIT_LOG_T.PARENT_PI_NAME,
 @SCHEMA@.AUDIT_LOG_T.PARENT_PIID, @SCHEMA@.AUDIT_LOG_T.VALID_FROM,
 @SCHEMA@.AUDIT_LOG_T.VALID_FROM_UTC,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_NAME,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_KIND,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_STATE,
 @SCHEMA@.AUDIT_LOG_T.CONTR_LINK_NAME, @SCHEMA@.AUDIT_LOG_T.IMPL_NAME,
 @SCHEMA@.AUDIT_LOG_T.PRINCIPAL, @SCHEMA@.AUDIT_LOG_T.IMPL_NAME,
 @SCHEMA@.AUDIT_LOG_T.VARIABLE_DATA,
 @SCHEMA@.AUDIT_LOG_T.EXCEPTION_TEXT,
 @SCHEMA@.AUDIT_LOG_T.DESCRIPTION, @SCHEMA@.AUDIT_LOG_T.CORR_SET_INFO,
 @SCHEMA@.AUDIT_LOG_T.USER_NAME, @SCHEMA@.AUDIT_LOG_T.ATID,
 @SCHEMA@.AUDIT_LOG_T.ADDITIONAL_INFO,
 @SCHEMA@.AUDIT_LOG_T.OBJECT_META_TYPE
 FROM @SCHEMA@.AUDIT_LOG_T;

-- View: AuditLogB
CREATE VIEW @SCHEMA@.AUDIT_LOG_B(ALID, EVENT_TIME, EVENT_TIME_UTC,
 AUDIT_EVENT, PTID, PIID, AIID, SIID, VARIABLE_NAME,
 PROCESS_TEMPL_NAME, TOP_LEVEL_PIID, PARENT_PIID, VALID_FROM,
 VALID_FROM_UTC, ATID, ACTIVITY_NAME, ACTIVITY_KIND, ACTIVITY_STATE,
 CONTROL_LINK_NAME, PRINCIPAL, VARIABLE_DATA, EXCEPTION_TEXT,
 DESCRIPTION, CORR_SET_INFO, USER_NAME, ADDITIONAL_INFO, SNAPSHOT_ID,
 SNAPSHOT_NAME, PROCESS_APP_ACRONYM ) AS
 SELECT @SCHEMA@.AUDIT_LOG_T.ALID, @SCHEMA@.AUDIT_LOG_T.EVENT_TIME,
 @SCHEMA@.AUDIT_LOG_T.EVENT_TIME_UTC,
 @SCHEMA@.AUDIT_LOG_T.AUDIT_EVENT, @SCHEMA@.AUDIT_LOG_T.PTID,
 @SCHEMA@.AUDIT_LOG_T.PIID, @SCHEMA@.AUDIT_LOG_T.AIID,
 @SCHEMA@.AUDIT_LOG_T.SIID, @SCHEMA@.AUDIT_LOG_T.VARIABLE_NAME,
 @SCHEMA@.AUDIT_LOG_T.PROCESS_TEMPL_NAME,
 @SCHEMA@.AUDIT_LOG_T.TOP_LEVEL_PIID,
 @SCHEMA@.AUDIT_LOG_T.PARENT_PIID, @SCHEMA@.AUDIT_LOG_T.VALID_FROM,
 @SCHEMA@.AUDIT_LOG_T.VALID_FROM_UTC, @SCHEMA@.AUDIT_LOG_T.ATID,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_NAME,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_KIND,
 @SCHEMA@.AUDIT_LOG_T.ACTIVITY_STATE,
 @SCHEMA@.AUDIT_LOG_T.CONTR_LINK_NAME, @SCHEMA@.AUDIT_LOG_T.PRINCIPAL,
 @SCHEMA@.AUDIT_LOG_T.VARIABLE_DATA,
 @SCHEMA@.AUDIT_LOG_T.EXCEPTION_TEXT,
 @SCHEMA@.AUDIT_LOG_T.DESCRIPTION, @SCHEMA@.AUDIT_LOG_T.CORR_SET_INFO,
 @SCHEMA@.AUDIT_LOG_T.USER_NAME, @SCHEMA@.AUDIT_LOG_T.ADDITIONAL_INFO,
 @SCHEMA@.AUDIT_LOG_T.SNAPSHOT_ID, @SCHEMA@.AUDIT_LOG_T.TERMINAL_NAME,
 @SCHEMA@.AUDIT_LOG_T.PROCESS_APP_ACRONYM
 FROM @SCHEMA@.AUDIT_LOG_T
 WHERE @SCHEMA@.AUDIT_LOG_T.OBJECT_META_TYPE = 1;

-- View: ApplicationComp
CREATE VIEW @SCHEMA@.APPLICATION_COMP(ACOID, BUSINESS_RELEVANCE,
 NAME, SUPPORT_AUTOCLAIM, SUPPORT_CLAIM_SUSP, SUPPORT_DELEGATION,
 SUPPORT_SUB_TASK, SUPPORT_FOLLOW_ON ) AS
 SELECT @SCHEMA@.APP_COMPONENT_T.ACOID,
 @SCHEMA@.APP_COMPONENT_T.BUSINESS_RELEVANCE,
 @SCHEMA@.APP_COMPONENT_T.NAME,
 @SCHEMA@.APP_COMPONENT_T.SUPP_AUTO_CLAIM,
 @SCHEMA@.APP_COMPONENT_T.SUPP_CLAIM_SUSP,
 @SCHEMA@.APP_COMPONENT_T.SUPP_DELEGATION,
 @SCHEMA@.APP_COMPONENT_T.SUPPORTS_SUB_TASK,
 @SCHEMA@.APP_COMPONENT_T.SUPP_FOLLOW_ON
 FROM @SCHEMA@.APP_COMPONENT_T;

-- View: Task
CREATE VIEW @SCHEMA@.TASK(TKIID, ACTIVATED, APPLIC_DEFAULTS_ID,
 APPLIC_NAME, BUSINESS_RELEVANCE, COMPLETED, CONTAINMENT_CTX_ID,
 CTX_AUTHORIZATION, DUE, EXPIRES, FIRST_ACTIVATED, FOLLOW_ON_TKIID,
 IS_AD_HOC, IS_ESCALATED, IS_INLINE, IS_WAIT_FOR_SUB_TK, KIND,
 LAST_MODIFIED, LAST_STATE_CHANGE, NAME, NAME_SPACE, ORIGINATOR,
 OWNER, PARENT_CONTEXT_ID, PRIORITY, STARTED, STARTER, STATE,
 SUPPORT_AUTOCLAIM, SUPPORT_CLAIM_SUSP, SUPPORT_DELEGATION,
 SUPPORT_SUB_TASK, SUPPORT_FOLLOW_ON, HIERARCHY_POSITION, IS_CHILD,
 SUSPENDED, TKTID, TOP_TKIID, TYPE, RESUMES, ASSIGNMENT_TYPE,
 INHERITED_AUTH, INVOKED_INSTANCE_ID, INVOKED_INSTANCE_TYPE,
 WORK_BASKET, IS_READ, IS_TRANSFERRED_TO_WORK_BASKET, WSID_1, WSID_2,
 CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3, CUSTOM_TEXT4, CUSTOM_TEXT5,
 CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8 ) AS
 SELECT @SCHEMA@.TASK_INSTANCE_T.TKIID,
 @SCHEMA@.TASK_INSTANCE_T.ACTIVATION_TIME,
 @SCHEMA@.TASK_INSTANCE_T.APP_DEF_ID,
 @SCHEMA@.TASK_INSTANCE_T.APPLICATION_NAME,
 @SCHEMA@.TASK_INSTANCE_T.BUSINESS_RELEVANCE,
 @SCHEMA@.TASK_INSTANCE_T.COMPLETION_TIME,
 @SCHEMA@.TASK_INSTANCE_T.CONTAINMENT_CTX_ID,
 @SCHEMA@.TASK_INSTANCE_T.CONTEXT_AUTH,
 @SCHEMA@.TASK_INSTANCE_T.DUE_TIME,
 @SCHEMA@.TASK_INSTANCE_T.EXPIRATION_TIME,
 @SCHEMA@.TASK_INSTANCE_T.FIRST_ACTIVATED,
 @SCHEMA@.TASK_INSTANCE_T.FOLLOW_ON_TKIID,
 @SCHEMA@.TASK_INSTANCE_T.IS_AD_HOC,
 @SCHEMA@.TASK_INSTANCE_T.IS_ESCALATED,
 @SCHEMA@.TASK_INSTANCE_T.IS_INLINE,
 @SCHEMA@.TASK_INSTANCE_T.IS_WAIT_FOR_SUBT,
 @SCHEMA@.TASK_INSTANCE_T.KIND,
 @SCHEMA@.TASK_INSTANCE_T.LAST_MODIF_TIME,
 @SCHEMA@.TASK_INSTANCE_T.LAST_STATE_CHANGE,
 @SCHEMA@.TASK_INSTANCE_T.NAME, @SCHEMA@.TASK_INSTANCE_T.NAMESPACE,
 @SCHEMA@.TASK_INSTANCE_T.ORIGINATOR, @SCHEMA@.TASK_INSTANCE_T.OWNER,
 @SCHEMA@.TASK_INSTANCE_T.PARENT_CONTEXT_ID,
 @SCHEMA@.TASK_INSTANCE_T.PRIORITY,
 @SCHEMA@.TASK_INSTANCE_T.START_TIME,
 @SCHEMA@.TASK_INSTANCE_T.STARTER, @SCHEMA@.TASK_INSTANCE_T.STATE,
 @SCHEMA@.TASK_INSTANCE_T.SUPP_AUTO_CLAIM,
 @SCHEMA@.TASK_INSTANCE_T.SUPP_CLAIM_SUSP,
 @SCHEMA@.TASK_INSTANCE_T.DELEGATION_SUPP,
 @SCHEMA@.TASK_INSTANCE_T.SUPPORTS_SUB_TASK,
 @SCHEMA@.TASK_INSTANCE_T.SUPP_FOLLOW_ON,
 @SCHEMA@.TASK_INSTANCE_T.HIERARCHY_POSITION,
 @SCHEMA@.TASK_INSTANCE_T.IS_CHILD,
 @SCHEMA@.TASK_INSTANCE_T.IS_SUSPENDED,
 @SCHEMA@.TASK_INSTANCE_T.TKTID, @SCHEMA@.TASK_INSTANCE_T.TOP_TKIID,
 @SCHEMA@.TASK_INSTANCE_T.TYPE, @SCHEMA@.TASK_INSTANCE_T.RESUMES,
 @SCHEMA@.TASK_INSTANCE_T.ASSIGNMENT_TYPE,
 @SCHEMA@.TASK_INSTANCE_T.INHERITED_AUTH,
 @SCHEMA@.TASK_INSTANCE_T.INVOKED_INSTANCE_ID,
 @SCHEMA@.TASK_INSTANCE_T.INVOKED_INSTANCE_TYPE,
 @SCHEMA@.TASK_INSTANCE_T.WORK_BASKET,
 @SCHEMA@.TASK_INSTANCE_T.IS_READ,
 @SCHEMA@.TASK_INSTANCE_T.IS_TRANSFERRED_TO_WORK_BASKET,
 @SCHEMA@.TASK_INSTANCE_T.WSID_1, @SCHEMA@.TASK_INSTANCE_T.WSID_2,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT1,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT2,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT3,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT4,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT5,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT6,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT7,
 @SCHEMA@.TASK_INSTANCE_T.CUSTOM_TEXT8
 FROM @SCHEMA@.TASK_INSTANCE_T;

-- View: TaskTempl
CREATE VIEW @SCHEMA@.TASK_TEMPL(TKTID, APPLIC_DEFAULTS_ID,
 APPLIC_NAME, BUSINESS_RELEVANCE, CONTAINMENT_CTX_ID,
 CTX_AUTHORIZATION, DEFINITION_NAME, DEFINITION_NS, IS_AD_HOC,
 IS_INLINE, KIND, NAME, NAMESPACE, PRIORITY, STATE, SUPPORT_AUTOCLAIM,
 SUPPORT_CLAIM_SUSP, SUPPORT_DELEGATION, SUPPORT_SUB_TASK,
 SUPPORT_FOLLOW_ON, TYPE, VALID_FROM, AUTONOMY, ASSIGNMENT_TYPE,
 INHERITED_AUTH, WORK_BASKET, SNAPSHOT_ID, SNAPSHOT_NAME,
 TOP_LEVEL_TOOLKIT_ACRONYM, TOP_LEVEL_TOOLKIT_NAME, TRACK_NAME,
 PROCESS_APP_NAME, PROCESS_APP_ACRONYM, TOOLKIT_SNAPSHOT_ID,
 TOOLKIT_SNAPSHOT_NAME, TOOLKIT_NAME, TOOLKIT_ACRONYM, IS_TIP,
 CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3, CUSTOM_TEXT4, CUSTOM_TEXT5,
 CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8 ) AS
 SELECT @SCHEMA@.TASK_TEMPLATE_T.TKTID,
 @SCHEMA@.TASK_TEMPLATE_T.APP_DEF_ID,
 @SCHEMA@.TASK_TEMPLATE_T.APPLICATION_NAME,
 @SCHEMA@.TASK_TEMPLATE_T.BUSINESS_RELEVANCE,
 @SCHEMA@.TASK_TEMPLATE_T.CONTAINMENT_CTX,
 @SCHEMA@.TASK_TEMPLATE_T.CONTEXT_AUTH,
 @SCHEMA@.TASK_TEMPLATE_T.DEFINITION_NAME,
 @SCHEMA@.TASK_TEMPLATE_T.TARGET_NAMESPACE,
 @SCHEMA@.TASK_TEMPLATE_T.IS_AD_HOC,
 @SCHEMA@.TASK_TEMPLATE_T.IS_INLINE, @SCHEMA@.TASK_TEMPLATE_T.KIND,
 @SCHEMA@.TASK_TEMPLATE_T.NAME, @SCHEMA@.TASK_TEMPLATE_T.NAMESPACE,
 @SCHEMA@.TASK_TEMPLATE_T.PRIORITY, @SCHEMA@.TASK_TEMPLATE_T.STATE,
 @SCHEMA@.TASK_TEMPLATE_T.SUPP_AUTO_CLAIM,
 @SCHEMA@.TASK_TEMPLATE_T.SUPP_CLAIM_SUSP,
 @SCHEMA@.TASK_TEMPLATE_T.SUPP_DELEGATION,
 @SCHEMA@.TASK_TEMPLATE_T.SUPPORTS_SUB_TASK,
 @SCHEMA@.TASK_TEMPLATE_T.SUPP_FOLLOW_ON,
 @SCHEMA@.TASK_TEMPLATE_T.TYPE, @SCHEMA@.TASK_TEMPLATE_T.VALID_FROM,
 @SCHEMA@.TASK_TEMPLATE_T.AUTONOMY,
 @SCHEMA@.TASK_TEMPLATE_T.ASSIGNMENT_TYPE,
 @SCHEMA@.TASK_TEMPLATE_T.INHERITED_AUTH,
 @SCHEMA@.TASK_TEMPLATE_T.WORK_BASKET,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.SNAPSHOT_ID,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.SNAPSHOT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOP_LEVEL_TOOLKIT_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOP_LEVEL_TOOLKIT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TRACK_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.PROCESS_APP_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.PROCESS_APP_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_SNAPSHOT_ID,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_SNAPSHOT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_NAME,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.TOOLKIT_ACRONYM,
 @SCHEMA@.PC_VERSION_TEMPLATE_T.IS_TIP,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT1,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT2,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT3,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT4,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT5,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT6,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT7,
 @SCHEMA@.TASK_TEMPLATE_T.CUSTOM_TEXT8
 FROM @SCHEMA@.TASK_TEMPLATE_T LEFT JOIN
 @SCHEMA@.PC_VERSION_TEMPLATE_T ON
 (@SCHEMA@.PC_VERSION_TEMPLATE_T.CONTAINMENT_CONTEXT_ID =
 @SCHEMA@.TASK_TEMPLATE_T.TKTID);

-- View: Escalation
CREATE VIEW @SCHEMA@.ESCALATION(ESIID, ACTION, ACTIVATION_STATE,
 ACTIVATION_TIME, ESCALATION_TIME, AT_LEAST_EXP_STATE, ESTID,
 FIRST_ESIID, INCREASE_PRIORITY, NAME, STATE, TKIID, WSID_1, WSID_2 )
 AS
 SELECT @SCHEMA@.ESCALATION_INST_T.ESIID,
 @SCHEMA@.ESCALATION_INST_T.ACTION,
 @SCHEMA@.ESCALATION_INST_T.ACTIVATION_STATE,
 @SCHEMA@.ESCALATION_INST_T.ACTIVATION_TIME,
 @SCHEMA@.ESCALATION_INST_T.ESCALATION_TIME,
 @SCHEMA@.ESCALATION_INST_T.AT_LEAST_EXP_STATE,
 @SCHEMA@.ESCALATION_INST_T.ESTID,
 @SCHEMA@.ESCALATION_INST_T.FIRST_ESIID,
 @SCHEMA@.ESCALATION_INST_T.INCREASE_PRIORITY,
 @SCHEMA@.ESCALATION_INST_T.NAME, @SCHEMA@.ESCALATION_INST_T.STATE,
 @SCHEMA@.ESCALATION_INST_T.TKIID, @SCHEMA@.ESCALATION_INST_T.WSID_1,
 @SCHEMA@.ESCALATION_INST_T.WSID_2
 FROM @SCHEMA@.ESCALATION_INST_T;

-- View: EscTempl
CREATE VIEW @SCHEMA@.ESC_TEMPL(ESTID, FIRST_ESTID, PREVIOUS_ESTID,
 TKTID, CONTAINMENT_CTX_ID, NAME, ACTIVATION_STATE,
 AT_LEAST_EXP_STATE, INCREASE_PRIORITY, ACTION ) AS
 SELECT @SCHEMA@.ESCALATION_TEMPL_T.ESTID,
 @SCHEMA@.ESCALATION_TEMPL_T.FIRST_ESTID,
 @SCHEMA@.ESCALATION_TEMPL_T.PREVIOUS_ESTID,
 @SCHEMA@.ESCALATION_TEMPL_T.TKTID,
 @SCHEMA@.ESCALATION_TEMPL_T.CONTAINMENT_CTX_ID,
 @SCHEMA@.ESCALATION_TEMPL_T.NAME,
 @SCHEMA@.ESCALATION_TEMPL_T.ACTIVATION_STATE,
 @SCHEMA@.ESCALATION_TEMPL_T.AT_LEAST_EXP_STATE,
 @SCHEMA@.ESCALATION_TEMPL_T.INCREASE_PRIORITY,
 @SCHEMA@.ESCALATION_TEMPL_T.ACTION
 FROM @SCHEMA@.ESCALATION_TEMPL_T;

-- View: EscTemplDesc
CREATE VIEW @SCHEMA@.ESC_TEMPL_DESC(ESTID, LOCALE, TKTID,
 DISPLAY_NAME, DESCRIPTION ) AS
 SELECT @SCHEMA@.ESC_TEMPL_LDESC_T.ESTID,
 @SCHEMA@.ESC_TEMPL_LDESC_T.LOCALE, @SCHEMA@.ESC_TEMPL_LDESC_T.TKTID,
 @SCHEMA@.ESC_TEMPL_LDESC_T.DISPLAY_NAME,
 @SCHEMA@.ESC_TEMPL_LDESC_T.DESCRIPTION
 FROM @SCHEMA@.ESC_TEMPL_LDESC_T;

-- View: TaskTemplCProp
CREATE VIEW @SCHEMA@.TASK_TEMPL_CPROP(TKTID, NAME, DATA_TYPE,
 STRING_VALUE ) AS
 SELECT @SCHEMA@.TASK_TEMPL_CPROP_T.TKTID,
 @SCHEMA@.TASK_TEMPL_CPROP_T.NAME,
 @SCHEMA@.TASK_TEMPL_CPROP_T.DATA_TYPE,
 @SCHEMA@.TASK_TEMPL_CPROP_T.STRING_VALUE
 FROM @SCHEMA@.TASK_TEMPL_CPROP_T;

-- View: EscTemplCProp
CREATE VIEW @SCHEMA@.ESC_TEMPL_CPROP(ESTID, NAME, TKTID, DATA_TYPE,
 VALUE ) AS
 SELECT @SCHEMA@.ESC_TEMPL_CPROP_T.ESTID,
 @SCHEMA@.ESC_TEMPL_CPROP_T.NAME, @SCHEMA@.ESC_TEMPL_CPROP_T.TKTID,
 @SCHEMA@.ESC_TEMPL_CPROP_T.DATA_TYPE,
 @SCHEMA@.ESC_TEMPL_CPROP_T.STRING_VALUE
 FROM @SCHEMA@.ESC_TEMPL_CPROP_T;

-- View: TaskTemplDesc
CREATE VIEW @SCHEMA@.TASK_TEMPL_DESC(TKTID, LOCALE, DESCRIPTION,
 DISPLAY_NAME ) AS
 SELECT @SCHEMA@.TASK_TEMPL_LDESC_T.TKTID,
 @SCHEMA@.TASK_TEMPL_LDESC_T.LOCALE,
 @SCHEMA@.TASK_TEMPL_LDESC_T.DESCRIPTION,
 @SCHEMA@.TASK_TEMPL_LDESC_T.DISPLAY_NAME
 FROM @SCHEMA@.TASK_TEMPL_LDESC_T;

-- View: TaskCProp
CREATE VIEW @SCHEMA@.TASK_CPROP(TKIID, NAME, DATA_TYPE, STRING_VALUE,
 WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.TASK_INST_CPROP_T.TKIID,
 @SCHEMA@.TASK_INST_CPROP_T.NAME,
 @SCHEMA@.TASK_INST_CPROP_T.DATA_TYPE,
 @SCHEMA@.TASK_INST_CPROP_T.STRING_VALUE,
 @SCHEMA@.TASK_INST_CPROP_T.WSID_1, @SCHEMA@.TASK_INST_CPROP_T.WSID_2
 FROM @SCHEMA@.TASK_INST_CPROP_T;

-- View: TaskDesc
CREATE VIEW @SCHEMA@.TASK_DESC(TKIID, LOCALE, DESCRIPTION,
 DISPLAY_NAME, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.TASK_INST_LDESC_T.TKIID,
 @SCHEMA@.TASK_INST_LDESC_T.LOCALE,
 @SCHEMA@.TASK_INST_LDESC_T.DESCRIPTION,
 @SCHEMA@.TASK_INST_LDESC_T.DISPLAY_NAME,
 @SCHEMA@.TASK_INST_LDESC_T.WSID_1, @SCHEMA@.TASK_INST_LDESC_T.WSID_2
 FROM @SCHEMA@.TASK_INST_LDESC_T;

-- View: EscalationCProp
CREATE VIEW @SCHEMA@.ESCALATION_CPROP(ESIID, NAME, DATA_TYPE,
 STRING_VALUE, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.ESC_INST_CPROP_T.ESIID,
 @SCHEMA@.ESC_INST_CPROP_T.NAME, @SCHEMA@.ESC_INST_CPROP_T.DATA_TYPE,
 @SCHEMA@.ESC_INST_CPROP_T.STRING_VALUE,
 @SCHEMA@.ESC_INST_CPROP_T.WSID_1, @SCHEMA@.ESC_INST_CPROP_T.WSID_2
 FROM @SCHEMA@.ESC_INST_CPROP_T;

-- View: TaskHistory
CREATE VIEW @SCHEMA@.TASK_HISTORY(TKIID, ESIID, PARENT_TKIID, EVENT,
 REASON, EVENT_TIME, NEXT_TIME, PRINCIPAL, WORK_ITEM_KIND, FROM_ID,
 TO_ID, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.TASK_HISTORY_T.TKIID, @SCHEMA@.TASK_HISTORY_T.ESIID,
 @SCHEMA@.TASK_HISTORY_T.PARENT_TKIID, @SCHEMA@.TASK_HISTORY_T.EVENT,
 @SCHEMA@.TASK_HISTORY_T.REASON, @SCHEMA@.TASK_HISTORY_T.EVENT_TIME,
 @SCHEMA@.TASK_HISTORY_T.NEXT_TIME, @SCHEMA@.TASK_HISTORY_T.PRINCIPAL,
 @SCHEMA@.TASK_HISTORY_T.WORK_ITEM_KIND,
 @SCHEMA@.TASK_HISTORY_T.FROM_ID, @SCHEMA@.TASK_HISTORY_T.TO_ID,
 @SCHEMA@.TASK_HISTORY_T.WSID_1, @SCHEMA@.TASK_HISTORY_T.WSID_2
 FROM @SCHEMA@.TASK_HISTORY_T;

-- View: EscalationDesc
CREATE VIEW @SCHEMA@.ESCALATION_DESC(ESIID, LOCALE, DESCRIPTION,
 DISPLAY_NAME, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.ESC_INST_LDESC_T.ESIID,
 @SCHEMA@.ESC_INST_LDESC_T.LOCALE,
 @SCHEMA@.ESC_INST_LDESC_T.DESCRIPTION,
 @SCHEMA@.ESC_INST_LDESC_T.DISPLAY_NAME,
 @SCHEMA@.ESC_INST_LDESC_T.WSID_1, @SCHEMA@.ESC_INST_LDESC_T.WSID_2
 FROM @SCHEMA@.ESC_INST_LDESC_T;

-- View: TaskAuditLog
CREATE VIEW @SCHEMA@.TASK_AUDIT_LOG(ALID, AUDIT_EVENT,
 CONTAINMENT_CTX_ID, ESIID, ESTID, EVENT_TIME, FAULT_NAME,
 FAULT_TYPE_NAME, FAULT_NAME_SPACE, FOLLOW_ON_TKIID, NAME, NAMESPACE,
 NEW_USER, OLD_USER, PARENT_CONTEXT_ID, PARENT_TASK_NAME,
 PARENT_TASK_NAMESP, PARENT_TKIID, PRINCIPAL, TASK_KIND, TASK_STATE,
 TKIID, TKTID, TOP_TKIID, VAILD_FROM, WORK_ITEM_REASON, USERS,
 DESCRIPTION, MESSAGE_DATA, SNAPSHOT_ID, SNAPSHOT_NAME,
 PROCESS_APP_ACRONYM ) AS
 SELECT @SCHEMA@.TASK_AUDIT_LOG_T.ALID,
 @SCHEMA@.TASK_AUDIT_LOG_T.AUDIT_EVENT,
 @SCHEMA@.TASK_AUDIT_LOG_T.CONTAINMENT_CTX,
 @SCHEMA@.TASK_AUDIT_LOG_T.ESIID, @SCHEMA@.TASK_AUDIT_LOG_T.ESTID,
 @SCHEMA@.TASK_AUDIT_LOG_T.EVENT_TIME_UTC,
 @SCHEMA@.TASK_AUDIT_LOG_T.FAULT_NAME,
 @SCHEMA@.TASK_AUDIT_LOG_T.FAULT_TYPE_NAME,
 @SCHEMA@.TASK_AUDIT_LOG_T.FAULT_NAMESPACE,
 @SCHEMA@.TASK_AUDIT_LOG_T.FOLLOW_ON_TKIID,
 @SCHEMA@.TASK_AUDIT_LOG_T.NAME, @SCHEMA@.TASK_AUDIT_LOG_T.NAMESPACE,
 @SCHEMA@.TASK_AUDIT_LOG_T.NEW_USER,
 @SCHEMA@.TASK_AUDIT_LOG_T.OLD_USER,
 @SCHEMA@.TASK_AUDIT_LOG_T.PARENT_CTX,
 @SCHEMA@.TASK_AUDIT_LOG_T.PARENT_TASK_NAME,
 @SCHEMA@.TASK_AUDIT_LOG_T.PARENT_TASK_NS,
 @SCHEMA@.TASK_AUDIT_LOG_T.PARENT_TKIID,
 @SCHEMA@.TASK_AUDIT_LOG_T.PRINCIPAL,
 @SCHEMA@.TASK_AUDIT_LOG_T.TASK_KIND,
 @SCHEMA@.TASK_AUDIT_LOG_T.TASK_STATE,
 @SCHEMA@.TASK_AUDIT_LOG_T.TKIID, @SCHEMA@.TASK_AUDIT_LOG_T.TKTID,
 @SCHEMA@.TASK_AUDIT_LOG_T.TOP_TKIID,
 @SCHEMA@.TASK_AUDIT_LOG_T.VALID_FROM_UTC,
 @SCHEMA@.TASK_AUDIT_LOG_T.WI_REASON, @SCHEMA@.TASK_AUDIT_LOG_T.USERS,
 @SCHEMA@.TASK_AUDIT_LOG_T.DESCRIPTION,
 @SCHEMA@.TASK_AUDIT_LOG_T.MESSAGE_DATA,
 @SCHEMA@.TASK_AUDIT_LOG_T.SNAPSHOT_ID,
 @SCHEMA@.TASK_AUDIT_LOG_T.SNAPSHOT_NAME,
 @SCHEMA@.TASK_AUDIT_LOG_T.PROCESS_APP_ACRONYM
 FROM @SCHEMA@.TASK_AUDIT_LOG_T;

-- View: WorkBasket
CREATE VIEW @SCHEMA@.WORK_BASKET(WBID, NAME, TYPE, OWNER,
 DEFAULT_QUERY_TABLE, CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3,
 CUSTOM_TEXT4, CUSTOM_TEXT5, CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8,
 CREATED, LAST_MODIFIED, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.WORK_BASKET_T.WBID, @SCHEMA@.WORK_BASKET_T.NAME,
 @SCHEMA@.WORK_BASKET_T.TYPE, @SCHEMA@.WORK_BASKET_T.OWNER,
 @SCHEMA@.WORK_BASKET_T.DEFAULT_QUERY_TABLE,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT1,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT2,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT3,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT4,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT5,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT6,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT7,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT8,
 @SCHEMA@.WORK_BASKET_T.CREATION_TIME,
 @SCHEMA@.WORK_BASKET_T.LAST_MODIFICATION_TIME,
 @SCHEMA@.WORK_BASKET_T.WSID_1, @SCHEMA@.WORK_BASKET_T.WSID_2
 FROM @SCHEMA@.WORK_BASKET_T;

-- View: WorkBasketLDesc
CREATE VIEW @SCHEMA@.WORK_BASKET_LDESC(WBID, LOCALE, DISPLAY_NAME,
 DESCRIPTION, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.WORK_BASKET_LDESC_T.WBID,
 @SCHEMA@.WORK_BASKET_LDESC_T.LOCALE,
 @SCHEMA@.WORK_BASKET_LDESC_T.DISPLAY_NAME,
 @SCHEMA@.WORK_BASKET_LDESC_T.DESCRIPTION,
 @SCHEMA@.WORK_BASKET_LDESC_T.WSID_1,
 @SCHEMA@.WORK_BASKET_LDESC_T.WSID_2
 FROM @SCHEMA@.WORK_BASKET_LDESC_T;

-- View: WorkBasketDistTarget
CREATE VIEW @SCHEMA@.WORK_BASKET_DIST_TARGET(WBID, NAME, TYPE, OWNER,
 DEFAULT_QUERY_TABLE, CUSTOM_TEXT1, CUSTOM_TEXT2, CUSTOM_TEXT3,
 CUSTOM_TEXT4, CUSTOM_TEXT5, CUSTOM_TEXT6, CUSTOM_TEXT7, CUSTOM_TEXT8,
 CREATED, LAST_MODIFIED, SOURCE_WBID, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.WORK_BASKET_DIST_TARGET_T.TARGET_WBID,
 @SCHEMA@.WORK_BASKET_T.NAME, @SCHEMA@.WORK_BASKET_T.TYPE,
 @SCHEMA@.WORK_BASKET_T.OWNER,
 @SCHEMA@.WORK_BASKET_T.DEFAULT_QUERY_TABLE,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT1,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT2,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT3,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT4,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT5,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT6,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT7,
 @SCHEMA@.WORK_BASKET_T.CUSTOM_TEXT8,
 @SCHEMA@.WORK_BASKET_T.CREATION_TIME,
 @SCHEMA@.WORK_BASKET_T.LAST_MODIFICATION_TIME,
 @SCHEMA@.WORK_BASKET_DIST_TARGET_T.SOURCE_WBID,
 @SCHEMA@.WORK_BASKET_T.WSID_1, @SCHEMA@.WORK_BASKET_T.WSID_2
 FROM @SCHEMA@.WORK_BASKET_DIST_TARGET_T, @SCHEMA@.WORK_BASKET_T
 WHERE @SCHEMA@.WORK_BASKET_T.WBID =
 @SCHEMA@.WORK_BASKET_DIST_TARGET_T.TARGET_WBID;

-- View: BusinessCategory
CREATE VIEW @SCHEMA@.BUSINESS_CATEGORY(BCID, PARENT_BCID, NAME,
 PRIORITY, DEFAULT_QUERY_TABLE, CUSTOM_TEXT1, CUSTOM_TEXT2,
 CUSTOM_TEXT3, CUSTOM_TEXT4, CUSTOM_TEXT5, CUSTOM_TEXT6, CUSTOM_TEXT7,
 CUSTOM_TEXT8, CREATED, LAST_MODIFIED, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.BUSINESS_CATEGORY_T.BCID,
 @SCHEMA@.BUSINESS_CATEGORY_T.PARENT_BCID,
 @SCHEMA@.BUSINESS_CATEGORY_T.NAME,
 @SCHEMA@.BUSINESS_CATEGORY_T.PRIORITY,
 @SCHEMA@.BUSINESS_CATEGORY_T.DEFAULT_QUERY_TABLE,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT1,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT2,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT3,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT4,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT5,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT6,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT7,
 @SCHEMA@.BUSINESS_CATEGORY_T.CUSTOM_TEXT8,
 @SCHEMA@.BUSINESS_CATEGORY_T.CREATION_TIME,
 @SCHEMA@.BUSINESS_CATEGORY_T.LAST_MODIFICATION_TIME,
 @SCHEMA@.BUSINESS_CATEGORY_T.WSID_1,
 @SCHEMA@.BUSINESS_CATEGORY_T.WSID_2
 FROM @SCHEMA@.BUSINESS_CATEGORY_T;

-- View: BusinessCategoryLDesc
CREATE VIEW @SCHEMA@.BUSINESS_CATEGORY_LDESC(BCID, LOCALE,
 DISPLAY_NAME, DESCRIPTION, WSID_1, WSID_2 ) AS
 SELECT @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.BCID,
 @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.LOCALE,
 @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.DISPLAY_NAME,
 @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.DESCRIPTION,
 @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.WSID_1,
 @SCHEMA@.BUSINESS_CATEGORY_LDESC_T.WSID_2
 FROM @SCHEMA@.BUSINESS_CATEGORY_LDESC_T;

-- update schema status to: '7.5.0.0'
-- (a warning for the following statement can be ignored)
DELETE FROM @SCHEMA@.SCHEMA_STATUS WHERE COMPONENT_NAME = 'BPC';
INSERT INTO @SCHEMA@.SCHEMA_STATUS (COMPONENT_NAME, SCHEMA_VERSION)
 VALUES ( 'BPC', '7.5.0.0' );

-- update schema version to: 8500
-- (a warning for the following statement can be ignored)
DELETE FROM @SCHEMA@.SCHEMA_VERSION WHERE SCHEMA_VERSION = 8500;
INSERT INTO @SCHEMA@.SCHEMA_VERSION (SCHEMA_VERSION, DATA_MIGRATION)
 VALUES( 8500, 1 );

